Subject: Re: bug#59165: 29.0.50; [PATCH] Ibuffer directory filter not buffer aware

From: Stefan Kangas <[email-masked]>
Date: Thu, 24 Nov 2022 17:16:01 -0800

close 59165 29.1
thanks

Stefan Kangas <[email-masked]> writes:

> I can verify that the patch below changes the behavior to work like you
> expect.  I don't know if it is the right thing to do, but the docstring
> seems to suggest that it is:
>
>     Limit current view to buffers with directory matching QUALIFIER.
>
>     For a buffer associated with file ’/a/b/c.d’, this matches
>     against ’/a/b’.  For a buffer not associated with a file, this
>     matches against the value of ‘default-directory’ in that buffer.
>
> So your patch looks right to me, but I've Cced Christopher Genovese in
> case he has anything to add.

No comments within 2 weeks, so I've pushed your patch to master (commit
75101583c3).  I'm consequently closing this bug report.

Thanks for the patch!